Name:          jfor
Version:       0.7.2
Release:       %mkrel 0.rc1.1
Epoch:         1
Summary:       XSL-FO to RTF converter
Group:         Development/Java
URL:           http://sourceforge.net/projects/jfor/
Source:        http://surfnet.dl.sourceforge.net/sourceforge/jfor/jfor-src-V_0_7_2rc1.tar.gz
License:       ASL 2.0
BuildRequires: ant
BuildRequires: avalon-logkit
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: liblog4j-java
BuildRequires: xerces-j2
BuildArch:     noarch

%description
jfor ("Java FO to Rtf converter") converts XSL-FO documents to RTF format. The project is
inactive, code has been donated to the Apache FOP project where it lives on,
see http://xmlgraphics.apache.org/fop/

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
jfor ("Java FO to Rtf converter") converts XSL-FO documents to RTF format. The project is
inactive, code has been donated to the Apache FOP project where it lives on,
see http://xmlgraphics.apache.org/fop/

This package contains javadoc for %{name}.

%prep

%setup -q -n jfor

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

pushd lib
  ln -sf $(build-classpath xerces-j2) xerces-1.2.3.jar
  ln -sf $(build-classpath avalon-logkit) logkit-1.0.1.jar
popd

%build

export CLASSPATH=$(build-classpath junit avalon-logkit log4j xerces-j2)
ant clean dist javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -pm 644 dist/lib/jfor.jar \
  %{buildroot}%{_javadir}/jfor-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jfor-%{version}
cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/jfor-%{version}
ln -sf jfor-%{version} %{buildroot}%{_javadocdir}/jfor

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/jfor-%{version}.jar
%{_javadir}/jfor.jar
%doc legal

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/jfor-%{version}
%{_javadocdir}/jfor



%changelog
* Wed Jul 27 2011 dmorgan <dmorgan> 1:0.7.2-0.rc1.1.mga2
+ Revision: 129985
- Fix groups
- Add epoch because of version fix
- Fix version
- Fix version
- Fix version

* Fri Jun 10 2011 gil <gil> 0_7_2rc1-0.mga2
+ Revision: 102865
- imported package jfor


* Sat May 28 2011 gil <gil> 1.4.0-0.mga1
- initial rpm